Page MenuHomePhabricator

Pixelized logo - hewiki
Closed, ResolvedPublic

Description

Someone (User:Sokuya) in hewiki have noticed that the logo in hewiki is pixelized in Macbook Pro w/ Retina Display.
I don't have Retina Display device so I can't really see it.

Looks like .mw-wiki-logo css for specific devices is different between wikis (some wikis have device-pixel-ratio while others not)

  1. How can we solve it for hewiki?

2 and more importantly - Are there other wikis with similar issue? How can it solve it for all wikis? (grep for device-pixel-ratio rules for logo in WMF site configs)?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix hewiki logos
operations/mediawiki-config : masterFix hewiki logo
operations/mediawiki-config : masterFix hewiki logos
operations/mediawiki-config : masterFix logos for hewiki
operations/mediawiki-config : masterFix HD logos for hewiki
operations/mediawiki-config : masterAdd HD logos for hewiki

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 7 2016, 9:46 PM
Urbanecm claimed this task.Sep 8 2016, 6:10 AM
Urbanecm added a subscriber: Urbanecm.

I'll solve it.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 8 2016, 6:10 AM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Sep 8 2016, 6:28 AM

This is (probably) simply because hewiki currently has no HD logo yet. I can easily add it (and the logo won't be pixelized anymore), but I need the logo in SVG. Please give me a link to this logo and I'll fix it.

Urbanecm triaged this task as Medium priority.Sep 8 2016, 6:29 AM
Urbanecm renamed this task from Pixelized logo to Pixelized logo - hewiki.Sep 8 2016, 11:50 AM

Change 309375 had a related patch set uploaded (by Urbanecm):
Add HD logos for hewiki

https://gerrit.wikimedia.org/r/309375

Thanks. Will be deployed at Monday.

I'm sorry, I think I linked to wrong version and the correct version should be:
https://he.wikipedia.org/wiki/%D7%A7%D7%95%D7%91%D7%A5:Wikipedia-logo-he-David.svg
(this aligns correctly in the grid, similarly to enwiki logo)

Going to fix, hopefuly I've noticed this message before the SWAT...

Sokuya added a subscriber: Sokuya.Sep 12 2016, 1:00 PM

I see you updated static/images/project-logos/hewiki-2x.png file. However I think static/images/project-logos/hewiki-1.5x.png left with no change. Would you mind update it again to: https://he.wikipedia.org/wiki/%D7%A7%D7%95%D7%91%D7%A5:Wikipedia-logo-he-David.svg ?
Thanks

Change 309375 merged by jenkins-bot:
Add HD logos for hewiki

https://gerrit.wikimedia.org/r/309375

Umm, file static/images/project-logos/hewiki-1.5x.png still incorrect, can we still fix it?

Mentioned in SAL [2016-09-12T13:15:18Z] <hashar@tin> Synchronized static/images/project-logos/: Add HD logos for hewiki T145017 (duration: 00m 50s)

Urbanecm closed this task as Resolved.Sep 12 2016, 1:18 PM

@Sokuya From my side it works (I've noticed some problems with the 1.5 version but I've fixed it). Can you check it now? If it won't work, please reopen this task.

Sokuya reopened this task as Open.Sep 12 2016, 3:24 PM

@Urbanecm I'm very appreciate your efforts to help us with this issue. However, when I examine the new logo I can still notice it's pixelized. The quality is much better comparing to earlier version however it's not the same as the English/French/Farsi logos yet.

You can see this clearly in this picture:

Can we get the same quality as them?

Also, the 1.5 version and default version are not correct https://he.wikipedia.org/static/images/project-logos/hewiki-1.5x.png, https://he.wikipedia.org/static/images/project-logos/hewiki.png you can compare them with this version https://upload.wikimedia.org/wikipedia/he/1/15/Wikipedia-logo-he-David.svg and notice that the location of the fourth letter from the right (Hebrew Yud) is not in the same place in both logos.

I'm sorry to bother you again but this is very important to me.

Urbanecm moved this task from To deploy to Working on on the User-Urbanecm board.

Working on it...

@Sokuya I've generated a bunch of new logos from the SVG version.

https://tools.wmflabs.org/urbanecmbot/test/hewiki/orig.png is my start point (I generated the logos by smallering this version)
https://tools.wmflabs.org/urbanecmbot/test/hewiki/hewiki.png is basic non-HD version
https://tools.wmflabs.org/urbanecmbot/test/hewiki/hewiki-1.5x.png is 1.5x version
and finally https://tools.wmflabs.org/urbanecmbot/test/hewiki/hewiki-2x.png is 2x version

Can you look at it and tell me if I can make a patch using this logos?

Thanks in advance.

(I don't understand your language so I think better will be if I ask you for checking; also I have no Retina display so I can't see it anyway).

The start point is the correct version of the logo the text aligns correctly . But the generated ones are still not as good as the English version. They are not in the right size or vivid enough.

Please take a look of these logos:
https://en.wikipedia.org/static/images/project-logos/enwiki.png
https://en.wikipedia.org/static/images/project-logos/enwiki-1.5x.png
https://en.wikipedia.org/static/images/project-logos/enwiki-2x.png
Open each of them in a new tab next to test version ones. You will see a size difference in 1.5x and 2x version and also a quality difference in the basic non-HD version.

Here a picture I made trying to explain it:

Can we talk with (User:Svgalbertian) from wikimedia common, he made the logo of the English version. https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-en.png

The quality looks pretty the same compering to English versions, meaning that I think its good.
However the size is 1px difference but I think it's a minority:

I think its better now.
What about the basic non-HD version?

Okay, going to create a patch. The basic non-HD version will be created now, I wanted do the HD first and then non-HD.

Change 310056 had a related patch set uploaded (by Urbanecm):
Fix HD logos for hewiki

https://gerrit.wikimedia.org/r/310056

I've uploaded a patch which should fix the HD logos. I'll deploy it today or tomorrow. Could you do a final check with this patch?

@Sokuya Ad 2) It'll be fixed for all wikis when all wikis will have 1.5x and 2x version. I can do it in some time but I have a question. Do you know a list of SVG versions of logos of all wikis?

Here the SVG logos list (the Hebrew files there are not updated yet).
https://commons.wikimedia.org/wiki/Wikipedia/2.0
What do you mean It'll be fixed for all wikis when all wikis will have 1.5x and 2x version? Can't we deploy the patch in the next few days?

I don't know where to check the basic non-HD version but the other versions in the path (1.5x and 2x versions) are OK!

Urbanecm: Thanks for the help.

Regarding the SVG for all wikis - Possibly the common category:
https://commons.wikimedia.org/wiki/Category:SVG_Localized_Wikipedia_globe_logos,_v2

but caution: I'm not sure it is the same as used in wikis

Thanks you both. Non-HD version hasn't changed (I'm working on it) so no check is needed at this time. I'll deploy the fix of HD ones in a few of minutes and then we can work on non-HD ones.

Change 310056 merged by jenkins-bot:
Fix HD logos for hewiki

https://gerrit.wikimedia.org/r/310056

Mentioned in SAL [2016-09-12T19:10:53Z] <thcipriani@tin> Synchronized static/images/project-logos: SWAT: [[gerrit:310056|Fix HD logos for hewiki (T145017)]] (duration: 00m 48s)

The change is deployed. Could you check the HD versions? The non-HD isn't ready yet, working on it...


Looks great!

Great! The non-HD will be done tomorrow. Thanks for your help!

Change 310228 had a related patch set uploaded (by Urbanecm):
Fix hewiki logos

https://gerrit.wikimedia.org/r/310228

The patch above contains the basic non-HD logos. Please can you check it? If you'll give me feedback till 13:00 UTC, I can deploy it today :).


It is blurrier than the English version. I hope you can see this in the picture.

Try to look what (User:Svgalbertian) did in here: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-en.png
It seems he made the logo of the English version.

+ bKGD chunk for fallback background color if 24-bit transparency is not possible [newer browsers unaffected], courtesy of User:Svgalbertian

I'm trying to find the discussions here:

20:16, 20 May 2010 Updated Wikipedia logo, changes made as per discussions on Talk:Wikipedia/2.0

Is the discussion in "Revisions to the Wikipedia globe/identity" paragraph?

I'll look at it...

Can you check it again please?

Change 310753 had a related patch set uploaded (by Urbanecm):
Fix logos for hewiki

https://gerrit.wikimedia.org/r/310753

Please check both of https://gerrit.wikimedia.org/r/310753 and https://gerrit.wikimedia.org/r/#/c/310228/, I've tested two ways to create the logo. Thanks in advance!

The first one (/r/310753) is not in the right size so can't really compare it. The second one isn't good. (r/#/c/310228/).
I think the first one is might be better but I can't really tell because the size difference.

I'll look at it.

Change 310753 abandoned by Urbanecm:
Fix logos for hewiki

https://gerrit.wikimedia.org/r/310753

Change 310228 abandoned by Urbanecm:
Fix hewiki logos

https://gerrit.wikimedia.org/r/310228

Change 310798 had a related patch set uploaded (by Urbanecm):
Fix hewiki logos

https://gerrit.wikimedia.org/r/310798

Please look at it again (310798 version). Sorry for my mistake. Now the -David version should be used and it should be in correct size.


It's the right size but still blurrier...
I think they did something special to get to this result. I just don't know what they did... I tried to figure it out from the Talk Page.

I exhausted all my ways to fix the logo. Should I schedule this patch for deploying or not?

I think if this is basic non-HD version of logos the difference won't be visible.

Alright. As long it's the correct version I think you are right.

Sokuya added a comment.EditedSep 28 2016, 11:57 PM

@Urbanecm Is there any new? Are you going to set a patch?

I only uploaded https://gerrit.wikimedia.org/r/#/c/310798/ two weeks ago. You said it is blurrier... Trying to figure out other way to export better logo. BTW, I don't think it is visible... But maybe because my display?

Change 313374 had a related patch set uploaded (by Urbanecm):
Fix hewiki logo

https://gerrit.wikimedia.org/r/313374

@Sokuya Please check 313374. If it isn't good, please tell me if I can deploy 313374 or 310798.

Look its still blurry, however I don't want to exhaust you.

I exhausted all my ways to fix the logo.

I agree with you saying:

I think if this is basic non-HD version of logos the difference won't be visible.

So I prefer to have the correct version of the logo even if it still blurry to my expectation.

I really don't know any other way, I can only repeat the previous ones. Which version shoud be deployed? 310798 or 313374?

310798

In 313374 the logo is incorrect.

Okay, as a non-emergency patch this will be deployed on October 03.

Change 313374 abandoned by Urbanecm:
Fix hewiki logo

https://gerrit.wikimedia.org/r/313374

Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.Sep 29 2016, 12:24 PM
Urbanecm moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

Change 310798 merged by jenkins-bot:
Fix hewiki logos

https://gerrit.wikimedia.org/r/310798

Mentioned in SAL (#wikimedia-operations) [2016-10-03T13:51:04Z] <zfilipin@tin> Synchronized static/images/project-logos/hewiki.png: SWAT: [[gerrit:310798|Fix hewiki logos (T145017)]] (duration: 00m 47s)

Urbanecm closed this task as Resolved.Oct 3 2016, 5:26 PM

Deployed. Please check and if something is wrong, reopen and tell what!

Sokuya reopened this task as Open.Dec 28 2016, 10:02 PM

Hi @Urbanecm,
We are celebrating 200,000 articles in Hebrew wikipedia. Can you please update our logo using this: Hewiki_200,000_articles4.svg
Just as you did last time. with the same dimension and everything. Thanks :)

Urbanecm closed this task as Resolved.Dec 28 2016, 10:08 PM

Will create new task.